extend ../../../../ComponentesPug/FormulariosConListados/Plantilla.pug

block variables
    - var Titulo = "{{ tTitulo }}"
    - var TituloListado = "Lista de condiciones"
    - var CabeceraListado = ["Condición", "Descripción"]
    - var CantidadListado = "{{ tCondiciones.length }}"
    - var TituloDatos = "Detalles de la condición"
    - var TamanoColeccion = "tCondiciones.length"
    - var PaginaActual = "tPagina"
    - var TamanoPagina = "tTamanoPag"

block ListadoContenido
    tr(*ngFor="let tCondicionFor of tCondiciones | buscar : {'campoFiltro' : tFiltroActual, 'busquedaFiltro' : tFiltroBusqueda} | slice: (tPagina-1) * tTamanoPag : (tPagina-1) * tTamanoPag + tTamanoPag ; let jv = index")
        th.text-nowrap
            button(type="button", [disabled]="!tPermisoEliminar", (click)="Seleccionar_Condicion_Eliminar(tCondicionFor)").btn.btn-sm.btn-danger.mr-1
                i.fas.fa-trash-alt
            button(type="button", (click)="Seleccionar_Condicion(tCondicionFor, jv)").btn.btn-sm.btn-warning.ml-1
                i.fas.fa-edit.text-white
        td
            h6.text-xs {{ tCondicionFor.Codcondicion }}

        td
            h6.text-xs.text-nowrap {{ tCondicionFor.Descripcion }}

block ContenidoDatosCabecera
  app-fw-condicion-cabecera([(Condicion)]="tCondicionActual")

block ContenidoDatosInformacion
  div.form-row
      div.form-group.col-12
          ul(role="tablist").nav.nav-tabs
              li.nav-item
                  a(data-toggle="tab",
                      href="#Informacion",
                      role="tab",
                      aria-controls="Informacion",
                      aria-selected="true").nav-link.active Información
  div.form-row
    div.form-group.col-12
      div.tab-content#mvDatos
        div(role="tabpanel", aria-labelledby="Informacion-tab").tab-pane.fade.show.active#Informacion
          app-fw-condicion-detalles([(Condicion)]="tCondicionActual")
